Index: DBElement.java
===================================================================
--- DBElement.java	(revision 34)
+++ DBElement.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBElement.java
  *     Purpose: A Class that represents an XML element and can
  *		write its contents to a database connection
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 1998
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: DBSAXHandler.java
===================================================================
--- DBSAXHandler.java	(revision 34)
+++ DBSAXHandler.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBSAXHandler.java
  *     Purpose: A Class that handles the SAX XML events as they
  *              are generated from XML documents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBSAXHandler.java
  *     Purpose: A Class that handles the SAX XML events as they
  *              are generated from XML documents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/ElementNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/ElementNode.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: ReaderElement.java
  *     Purpose: A Class that represents an XML element and its contents,
  *              and can build itself from a database connection
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBWriter.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBWriter.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/DBWriter.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBSAXWriter.java
  *     Purpose: A Class that reads in an XML text document and
  *              write its contents to a database connection using SAX
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBSimpleQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/DBSimpleQuery.java	(revision 35)
@@ -4,8 +4,8 @@
  *              attributes that have free text matches to the query string.  
  *              It returns a result set consisting of the root nodeid for 
  *              each document that satisfies the query
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/BasicNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/BasicNode.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/BasicNode.java	(revision 35)
@@ -1,8 +1,8 @@
 /**
  *        Name: BasicElement.java
  *     Purpose: A Class that represents an XML element and its contents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBSAXNode.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/DBSAXNode.java	(revision 35)
@@ -1,8 +1,8 @@
 /**
  *        Name: DBSAXElement.java
  *     Purpose: A Class that represents an XML element and its contents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBReader.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBReader.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/DBReader.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBReader.java
  *     Purpose: A Class that creates an XML text document
  *              from a query to a relational DB containing a DOM representation
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/BasicElement.java
===================================================================
--- src/edu/ucsb/nceas/metacat/BasicElement.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/BasicElement.java	(revision 35)
@@ -1,8 +1,8 @@
 /**
  *        Name: BasicElement.java
  *     Purpose: A Class that represents an XML element and its contents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBSAXElement.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXElement.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/DBSAXElement.java	(revision 35)
@@ -1,8 +1,8 @@
 /**
  *        Name: DBSAXElement.java
  *     Purpose: A Class that represents an XML element and its contents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/ReaderElement.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ReaderElement.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/ReaderElement.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: ReaderElement.java
  *     Purpose: A Class that represents an XML element and its contents,
  *              and can build itself from a database connection
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: src/edu/ucsb/nceas/metacat/DBSAXWriter.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXWriter.java	(revision 34)
+++ src/edu/ucsb/nceas/metacat/DBSAXWriter.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBSAXWriter.java
  *     Purpose: A Class that reads in an XML text document and
  *              write its contents to a database connection using SAX
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: DBReader.java
===================================================================
--- DBReader.java	(revision 34)
+++ DBReader.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBReader.java
  *     Purpose: A Class that creates an XML text document
  *              from a query to a relational DB containing a DOM representation
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: DBSAXElement.java
===================================================================
--- DBSAXElement.java	(revision 34)
+++ DBSAXElement.java	(revision 35)
@@ -1,8 +1,8 @@
 /**
  *        Name: DBSAXElement.java
  *     Purpose: A Class that represents an XML element and its contents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: ReaderElement.java
===================================================================
--- ReaderElement.java	(revision 34)
+++ ReaderElement.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: ReaderElement.java
  *     Purpose: A Class that represents an XML element and its contents,
  *              and can build itself from a database connection
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: DBElement.props
===================================================================
--- DBElement.props	(revision 34)
+++ DBElement.props	(revision 35)
@@ -2,8 +2,8 @@
 #        Name: DBElement.props
 #     Purpose: A set of properties that map element types to
 #              the classes that are used to represent that type
-# Institution: National Center for Ecological Analysis and Synthesis
-#   Copyright: 1998 
+#   Copyright: 2000 Regents of the University of California and the
+#              National Center for Ecological Analysis and Synthesis
 #     Authors: Matt Jones
 #     
 #     Version: '$Id$'
Index: DBWriter.java
===================================================================
--- DBWriter.java	(revision 34)
+++ DBWriter.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBWriter.java
  *     Purpose: A Class that reads in an XML text document and
  *              write its contents to a database connection
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 1998 
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *     
  *     Version: '$Id$'
Index: DBSimpleQuery.java
===================================================================
--- DBSimpleQuery.java	(revision 34)
+++ DBSimpleQuery.java	(revision 35)
@@ -4,8 +4,8 @@
  *              attributes that have free text matches to the query string.  
  *              It returns a result set consisting of the root nodeid for 
  *              each document that satisfies the query
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: BasicElement.java
===================================================================
--- BasicElement.java	(revision 34)
+++ BasicElement.java	(revision 35)
@@ -1,8 +1,8 @@
 /**
  *        Name: BasicElement.java
  *     Purpose: A Class that represents an XML element and its contents
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'
Index: DBSAXWriter.java
===================================================================
--- DBSAXWriter.java	(revision 34)
+++ DBSAXWriter.java	(revision 35)
@@ -2,8 +2,8 @@
  *        Name: DBSAXWriter.java
  *     Purpose: A Class that reads in an XML text document and
  *              write its contents to a database connection using SAX
- * Institution: National Center for Ecological Analysis and Synthesis
- *   Copyright: 2000
+ *   Copyright: 2000 Regents of the University of California and the
+ *              National Center for Ecological Analysis and Synthesis
  *     Authors: Matt Jones
  *
  *     Version: '$Id$'