Index: xsqltest/eml-variable.xsql
===================================================================
--- xsqltest/eml-variable.xsql	(revision 38)
+++ xsqltest/eml-variable.xsql	(revision 39)
@@ -13,5 +13,4 @@
   * to cause an XSLT (http://www.w3.org/TR/xslt) stylesheet transformation
   * for an XML document
 -->
-<?xml-stylesheet type="text/xsl" href="eml-variable-display.xsl"?>
 <xsql:include-xml href="eml-variable.xml" xmlns:xsql="urn:oracle-xsql"/>
Index: xsqltest/eml-variable-sort.xsl
===================================================================
--- xsqltest/eml-variable-sort.xsl	(revision 38)
+++ xsqltest/eml-variable-sort.xsl	(revision 39)
@@ -1,3 +1,24 @@
+<!--
+  * eml-variable-sort.xsl
+  *
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2000 April 5
+  *    File Info: '$Id$'
+  *
+  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+  * convert an XML file that is valid with respect to the eml-variable.dtd
+  * module of the Ecological Metadata Language (EML) into an HTML format
+  * suitable for rendering with modern web browsers. It implements the sorting
+  * routines for this function.
+  *
+  ***                                                                       ***
+  *** WARNING: THIS stylesheet was written for an early version if Internet ***
+  *** Explorer 5, and DOES NOT COMPLY with the W3C XSLT standard.           ***
+  ***                                                                       ***
+-->
 <xsl:template xmlns:xsl="http://www.w3.org/TR/WD-xsl">
   <xsl:apply-templates select="eml_variable">
     <xsl:template><xsl:copy><xsl:apply-templates select="@*"/><xsl:apply-templates/></xsl:copy></xsl:template>
Index: xsqltest/rowcol.css
===================================================================
--- xsqltest/rowcol.css	(revision 38)
+++ xsqltest/rowcol.css	(revision 39)
@@ -1,7 +1,9 @@
  .page    {font-family: Tahoma, sans-serif; background-color:white}
- .eml-dataset    {font-family: Tahoma, sans-serif; background-color:white}
- .rowodd  {background-color: #DDDDDD; color: black; vertical-align: top}
+ .emlbody    {font-family: Tahoma, sans-serif; background-color:white}
+ .rowodd  {background-color: #CCCCCC; color: black; vertical-align: top}
  .roweven {background-color: #F8F8F8; color: black; vertical-align: top}
+ .rowlight {background-color: #CCCCFF; color: black; vertical-align: top}
+ .rowwhite {background-color: #FFFFFF; color: black; vertical-align: top}
  .coleven {}
  .colodd  {}
  .shaded  {background-color: #DDDDDD; color: black}
Index: xsqltest/eml-variable.xml
===================================================================
--- xsqltest/eml-variable.xml	(revision 38)
+++ xsqltest/eml-variable.xml	(revision 39)
@@ -1,20 +1,33 @@
 <?xml version="1.0"?>
-<!DOCTYPE eml_variable>
+<!DOCTYPE eml-variable>
 <!-- '$Id$' -->
 <!-- eml document for the NCEAS working group entitled:
          Intrinsic and Extrinsic Variability in Community Dynamics
           MODULE 4b - CLASS IVb - DATA VARIABLE DESCRIPTORS           
 --> 
-<eml_variable>   
-   <meta_file_id mdatt="junk">NCEAS-0002-variable.xml</meta_file_id>
+<eml-variable>   
+   <meta_file_id>NCEAS-0002-variable.xml</meta_file_id>
    <variable>
      <variable_name>site</variable_name>
      <variable_definition>site name</variable_definition>
-     <storage_type>character</storage_type></variable>
-     <codedef>
-        <code>99</code>
-        <def>Error in the super console</def>
-     </codedef>
+     <storage_type>character</storage_type>
+     <code_definition>
+        <code>LMR</code>
+        <definition>Lake Mary Ridge site</definition>
+     </code_definition>
+     <code_definition>
+        <code>PPA</code>
+        <definition>Piute Pass site</definition>
+     </code_definition>
+     <code_definition>
+        <code>HSM</code>
+        <definition>Horseshoe Meadow site</definition>
+     </code_definition>
+     <missing_value_code>.</missing_value_code>
+     <field_format>
+       <fixed_width><field_width>4</field_width></fixed_width>
+     </field_format>
+   </variable>
    <variable>
      <variable_name>lakename</variable_name>
      <variable_definition>lake name</variable_definition>
@@ -23,11 +36,24 @@
    <variable>
      <variable_name>year</variable_name>
      <variable_definition>year of data collection, in 19YY format</variable_definition>
+     <unit>year</unit>
      <storage_type>integer</storage_type>
+     <numeric_range>
+       <minimum>1900</minimum>
+       <maximum>2050</maximum>
+     </numeric_range>
+     <field_format><variable_width><delimiter>,</delimiter></variable_width></field_format>
    </variable>
-   <variable attrib1="this is an att">
+   <variable>
      <variable_name>plankton</variable_name>
      <variable_definition>number of plankton in samples for that year</variable_definition>
+     <unit>individuals</unit>
      <storage_type>integer</storage_type>
+     <numeric_range>
+       <minimum>0</minimum>
+       <maximum>10000</maximum>
+     </numeric_range>
+     <missing_value_code>.</missing_value_code>
+     <precision>3</precision>
    </variable>
-</eml_variable> 
+</eml-variable> 
Index: xsqltest/eml-dataset-display.xsl
===================================================================
--- xsqltest/eml-dataset-display.xsl	(revision 38)
+++ xsqltest/eml-dataset-display.xsl	(revision 39)
@@ -24,7 +24,7 @@
       <head>
 	<link rel="stylesheet" type="text/css" href="./rowcol.css" />
       </head>
-      <body class="eml-dataset">
+      <body class="emlbody">
 	<center>
           <h1>Data set description</h1>
           <h3>Ecological Metadata Language</h3>
Index: xsqltest/eml-variable-display.xsl
===================================================================
--- xsqltest/eml-variable-display.xsl	(revision 38)
+++ xsqltest/eml-variable-display.xsl	(revision 39)
@@ -1,4 +1,24 @@
 <?xml version="1.0"?>
+<!--
+  * eml-variable-display.xsl
+  *
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2000 April 5
+  *    File Info: '$Id$'
+  * 
+  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+  * convert an XML file that is valid with respect to the eml-variable.dtd
+  * module of the Ecological Metadata Language (EML) into an HTML format
+  * suitable for rendering with modern web browsers.
+  *
+  ***                                                                       ***
+  *** WARNING: THIS stylesheet was written for an early version if Internet ***
+  *** Explorer 5, and DOES NOT COMPLY with the W3C XSLT standard.           ***
+  ***                                                                       ***
+-->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 <HTML>
   <HEAD>
@@ -11,7 +31,12 @@
     </STYLE>
     <XML id="eml_variable">
       <xsl:apply-templates select="eml_variable">
-        <xsl:template><xsl:copy><xsl:apply-templates select="@*"/><xsl:apply-templates/></xsl:copy></xsl:template>
+        <xsl:template>
+          <xsl:copy>
+            <xsl:apply-templates select="@*"/>
+            <xsl:apply-templates/>
+          </xsl:copy>
+        </xsl:template>
       </xsl:apply-templates>
     </XML>
     <XML id="sorted"><xsl:eval/></XML>
Index: lib/style/eml-dataset-display.xsl
===================================================================
--- lib/style/eml-dataset-display.xsl	(revision 38)
+++ lib/style/eml-dataset-display.xsl	(revision 39)
@@ -24,7 +24,7 @@
       <head>
 	<link rel="stylesheet" type="text/css" href="./rowcol.css" />
       </head>
-      <body class="eml-dataset">
+      <body class="emlbody">
 	<center>
           <h1>Data set description</h1>
           <h3>Ecological Metadata Language</h3>
Index: lib/style/eml-variable-display.xsl
===================================================================
--- lib/style/eml-variable-display.xsl	(revision 38)
+++ lib/style/eml-variable-display.xsl	(revision 39)
@@ -1,4 +1,24 @@
 <?xml version="1.0"?>
+<!--
+  * eml-variable-display.xsl
+  *
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2000 April 5
+  *    File Info: '$Id$'
+  * 
+  * This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+  * convert an XML file that is valid with respect to the eml-variable.dtd
+  * module of the Ecological Metadata Language (EML) into an HTML format
+  * suitable for rendering with modern web browsers.
+  *
+  ***                                                                       ***
+  *** WARNING: THIS stylesheet was written for an early version if Internet ***
+  *** Explorer 5, and DOES NOT COMPLY with the W3C XSLT standard.           ***
+  ***                                                                       ***
+-->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 <HTML>
   <HEAD>
@@ -11,7 +31,12 @@
     </STYLE>
     <XML id="eml_variable">
       <xsl:apply-templates select="eml_variable">
-        <xsl:template><xsl:copy><xsl:apply-templates select="@*"/><xsl:apply-templates/></xsl:copy></xsl:template>
+        <xsl:template>
+          <xsl:copy>
+            <xsl:apply-templates select="@*"/>
+            <xsl:apply-templates/>
+          </xsl:copy>
+        </xsl:template>
       </xsl:apply-templates>
     </XML>
     <XML id="sorted"><xsl:eval/></XML>