Index: docs/serialized-form.html
===================================================================
--- docs/serialized-form.html	(revision 53)
+++ docs/serialized-form.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 Serialized Form
 </TITLE>
Index: docs/index-all.html
===================================================================
--- docs/index-all.html	(revision 53)
+++ docs/index-all.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 : Index
 </TITLE>
Index: docs/allclasses-frame.html
===================================================================
--- docs/allclasses-frame.html	(revision 53)
+++ docs/allclasses-frame.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 All Classes
 </TITLE>
Index: docs/packages.html
===================================================================
--- docs/packages.html	(revision 53)
+++ docs/packages.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 
 </TITLE>
Index: docs/overview-tree.html
===================================================================
--- docs/overview-tree.html	(revision 53)
+++ docs/overview-tree.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 : Class Hierarchy
 </TITLE>
Index: docs/index.html
===================================================================
--- docs/index.html	(revision 53)
+++ docs/index.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000-->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000-->
 <TITLE>
 Generated Documentation (Untitled)
 </TITLE>
Index: docs/deprecated-list.html
===================================================================
--- docs/deprecated-list.html	(revision 53)
+++ docs/deprecated-list.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 : Deprecated List
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/MetaCatUtil.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/MetaCatUtil.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/MetaCatUtil.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  MetaCatUtil
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/ReaderElement.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/ReaderElement.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/ReaderElement.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  ReaderElement
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/DBSAXWriter.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/DBSAXWriter.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/DBSAXWriter.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  DBSAXWriter
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/DBSAXHandler.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/DBSAXHandler.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/DBSAXHandler.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  DBSAXHandler
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/MetaCatServlet.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/MetaCatServlet.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/MetaCatServlet.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  MetaCatServlet
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/package-frame.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/package-frame.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/package-frame.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 : Package edu.ucsb.nceas.metacat
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/DBSimpleQuery.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/DBSimpleQuery.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/DBSimpleQuery.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  DBSimpleQuery
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/package-summary.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/package-summary.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/package-summary.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 : Package edu.ucsb.nceas.metacat
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/DBReader.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/DBReader.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/DBReader.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  DBReader
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/package-tree.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/package-tree.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/package-tree.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 : edu.ucsb.nceas.metacat Class Hierarchy
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/BasicElement.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/BasicElement.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/BasicElement.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:34 AKDT 2000 -->
 <TITLE>
 : Class  BasicElement
 </TITLE>
Index: docs/edu/ucsb/nceas/metacat/DBSAXElement.html
===================================================================
--- docs/edu/ucsb/nceas/metacat/DBSAXElement.html	(revision 53)
+++ docs/edu/ucsb/nceas/metacat/DBSAXElement.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:39 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : Class  DBSAXElement
 </TITLE>
Index: docs/help-doc.html
===================================================================
--- docs/help-doc.html	(revision 53)
+++ docs/help-doc.html	(revision 54)
@@ -2,7 +2,7 @@
 <!--NewPage-->
 <HTML>
 <HEAD>
-<!-- Generated by javadoc on Mon Apr 17 15:23:40 AKDT 2000 -->
+<!-- Generated by javadoc on Mon Apr 17 15:35:35 AKDT 2000 -->
 <TITLE>
 : API Help
 </TITLE>
Index: Makefile
===================================================================
--- Makefile	(revision 53)
+++ Makefile	(revision 54)
@@ -69,16 +69,5 @@
 	javadoc -classpath $(CPATH) -d docs \
 		-sourcepath ./classes edu.ucsb.nceas.metacat
 
-javadocold:
-		DBSAXWriter.java \
-		BasicElement.java \
-		DBSAXElement.java \
-		DBSAXHandler.java \
-		DBReader.java \
-		ReaderElement.java \
-		DBSimpleQuery.java \
-		MetaCatServlet.java \
-		MetaCatUtil.java
-
 clean:
-	-rm -rf *.class Log classes/edu
+	-rm -f *.class Log classes/edu/ucsb/nceas/metacat/*.class