Index: xsqltest/eml-file.xsql
===================================================================
--- xsqltest/eml-file.xsql	(nonexistent)
+++ xsqltest/eml-file.xsql	(revision 57)
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!--
+  * eml-file.xsql
+  *
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2000 April 13
+  *    File Info: '$Id$'
+  *
+  * This is an XSQL (http://technet.oracle.com/tech/xml) document designed
+  * to cause an XSLT (http://www.w3.org/TR/xslt) stylesheet transformation
+  * for an XML document
+-->
+<xsql:include-xml href="eml-file.xml" xmlns:xsql="urn:oracle-xsql"/>
\ No newline at end of file

Property changes on: xsqltest/eml-file.xsql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: xsqltest/eml-file.xml
===================================================================
--- xsqltest/eml-file.xml	(nonexistent)
+++ xsqltest/eml-file.xml	(revision 57)
@@ -0,0 +1,60 @@
+<?xml version="1.0"?>
+<!DOCTYPE eml-file><!-- '$Id$' --><!-- eml document for the NCEAS working group entitled:         Intrinsic and Extrinsic Variability in Community Dynamics          MODULE 4b - CLASS IVb - DATA STRUCTURAL DESCRIPTORS           --> <eml-file description="Data structural descriptors">
+<meta_file_id description="Unique identifier of this metadata record">NCEAS-1998-2244-Dist-File</meta_file_id>
+  <file description="Data set file">
+    <file_name description="File name">NCEAS-1998-2244-Dist.csv</file_name>
+    <file_size description="Size of file">
+      <amount description="Amount">3821</amount>
+      <unit description="Unit">KB</unit>
+    </file_size>
+    <format description="File type and compression schemes employed">
+      <!--(compressed|encoded|base_file_type)-->
+      <base_file_type description="Base file type">
+        <!--(ASCII|binary)-->
+        <ASCII description="ASCII">
+          <record_delimiter description="Record delimiter"/>
+        </ASCII>
+      </base_file_type>
+    </format>
+    <orientation description="Is file column major or row major?" columnorrow="columnmajor"/>
+    <header_lines description="Number of header lines or information that prepares data">1</header_lines>
+    <case_sensitive description="Case sensitivity of field" yesorno="n"/>
+    <geographic_coverage description="Geographic coverage">
+      <paragraph description="Paragraph of text"></paragraph>
+      <coordinates description="Cartesian Coordinates">
+        <lattitude description="Lattitude coordinates"></lattitude>
+        <longitude description="Longitude coordinates"></longitude>
+      </coordinates>
+    </geographic_coverage>
+    <temporal_coverage description="Temporal coverage">
+      <start_date description="Date data collection commenced">
+        <datetime description="Date and time as designated in ISO 8601">
+          <year description="Year in YYYY format"/>
+          <month description="Month in MM format"/>
+          <day description="Day of month in DD format"/>
+          <hour description="Hour in hh"/>
+          <minute description="Minute in mm"/>
+          <second description="Seconds in ss"/>
+          <second_fraction description="One or more digits representing a decimal fraction of a second"/>
+          <time_zone_designator description="Time zone designator"/>
+        </datetime>
+      </start_date>
+      <stop_date description="Date data collection terminated">
+        <datetime description="Date and time as designated in ISO 8601">
+          <year description="Year in YYYY format"/>
+          <month description="Month in MM format"/>
+          <day description="Day of month in DD format"/>
+          <hour description="Hour in hh"/>
+          <minute description="Minute in mm"/>
+          <second description="Seconds in ss"/>
+          <second_fraction description="One or more digits representing a decimal fraction of a second"/>
+          <time_zone_designator description="Time zone designator"/>
+        </datetime>
+      </stop_date>
+    </temporal_coverage>
+    <authentication description="Authentication procedures or techniques">MD5 Checksum for verification: 41edbfbce8c32ff18ae589b19ef07cb2</authentication>
+    <data_problem description="Data anomalies; description of missing data">
+      <paragraph description="Paragraph of text">Occasional values are missing</paragraph>
+    </data_problem>
+  </file>
+</eml-file>

Property changes on: xsqltest/eml-file.xml
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: xsqltest/eml-file2.xsql
===================================================================
--- xsqltest/eml-file2.xsql	(nonexistent)
+++ xsqltest/eml-file2.xsql	(revision 57)
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!--
+  * eml-file.xsql
+  *
+  *      Authors: Matt Jones
+  *    Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *  For Details: http://www.nceas.ucsb.edu/
+  *      Created: 2000 April 13
+  *    File Info: '$Id$'
+  *
+  * This is an XSQL (http://technet.oracle.com/tech/xml) document designed
+  * to cause an XSLT (http://www.w3.org/TR/xslt) stylesheet transformation
+  * for an XML document
+-->
+<?xml-stylesheet type="text/xsl" href="eml-file-display.xsl"?><xsql:include-xsql href="eml-file.xsql" xmlns:xsql="urn:oracle-xsql"/>
\ No newline at end of file

Property changes on: xsqltest/eml-file2.xsql
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: xsqltest/eml-file-display.xsl
===================================================================
--- xsqltest/eml-file-display.xsl	(nonexistent)
+++ xsqltest/eml-file-display.xsl	(revision 57)
@@ -0,0 +1,153 @@
+<?xml version="1.0"?> 
+<!--   
+* eml-file-display.xsl   
+*   
+*      Authors: Matt Jones   
+*    Copyright: 2000 Regents of the University of California and the    
+*               National Center for Ecological Analysis and Synthesis   
+*  For Details: http://www.nceas.ucsb.edu/   
+*      Created: 2000 April 17   
+*    File Info: '$Id$'   
+*   
+* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to   
+* convert an XML file that is valid with respect to the eml-variable.dtd   
+* module of the Ecological Metadata Language (EML) into an HTML format    
+* suitable for rendering with modern web browsers. 
+--> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">    
+
+  <xsl:output method="html"/>
+  <xsl:template match="/">
+    <html>       
+      <head> 	
+        <link rel="stylesheet" type="text/css" href="./rowcol.css" />
+      </head>   
+      <body class="emlbody"> 	
+        <center>           
+          <h1>File structure description</h1>           
+          <h3>Ecological Metadata Language</h3>         
+        </center>
+        <xsl:apply-templates select="eml-file/meta_file_id"/>          
+        <h3>Files in the Data Set:</h3>         
+        <table width="100%">         
+          <tr class="rowodd">         
+            <th><xsl:text>File Name</xsl:text></th>         
+            <th><xsl:text>File Size</xsl:text></th>         
+            <th><xsl:text>File Format</xsl:text></th>         
+            <th><xsl:text>Orientation</xsl:text></th>         
+            <th><xsl:text>Header Lines</xsl:text></th>         
+            <th><xsl:text>Case Sensitive</xsl:text></th>         
+            <th><xsl:text>Geographic Coverage</xsl:text></th>         
+            <th><xsl:text>Temporal Coverage</xsl:text></th>         
+            <th><xsl:text>Authentication</xsl:text></th>         
+            <th><xsl:text>Data Problem</xsl:text></th>         
+          </tr>          
+
+          <xsl:for-each select="eml-file/file">           
+          <tr valign="top">             
+            <xsl:attribute name="class">               
+              <xsl:choose>                 
+                <xsl:when test="position() mod 2 = 1">rowwhite</xsl:when>                
+                <xsl:when test="position() mod 2 = 0">rowlight</xsl:when>               
+              </xsl:choose>             
+            </xsl:attribute>            
+            <td><b><xsl:value-of select="file_name"/></b>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:value-of select="file_size/amount"/>
+                <xsl:value-of select="file_size/unit"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:apply-templates select="format"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:apply-templates select="orientation"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:value-of select="header_lines"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:apply_templates select="case_sensitive"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><ul>               
+                <xsl:for-each select="geographic_coverage">
+                <li><xsl:for-each select="paragraph">
+                      <xsl:value-of select="."/><br/>
+                    </xsl:for-each>                     
+                    <xsl:for-each select="coordinates">                        
+                      <xsl:value-of select="lattitude"/>                        
+                      <xsl:value-of select="longitude"/><br/>
+                    </xsl:for-each>                 
+                </li>               
+                </xsl:for-each>               
+                </ul>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><ul>               
+                <xsl:for-each select="temporal_coverage">                 
+                <li><xsl:text>Start Date </xsl:text>
+                    <xsl:apply-templates select="start_date/datetime"/> 
+                    <xsl:text> - Stop Date </xsl:text>
+                    <xsl:apply-templates select="stop_date/datetime"/>
+                </li>
+                </xsl:for-each>
+                </ul>
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+            <td><xsl:for-each select="authentication">
+                <xsl:value-of select="."/><br />
+                </xsl:for-each>
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+            <td><xsl:for-each select="data_problem">
+                  <xsl:for-each select="paragraph"/>
+                    <xsl:value-of select="."/><br/>
+                  </xsl:for-each>
+                </xsl:for-each>
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+          </tr>
+          </xsl:for-each>
+        </table>
+      </body>
+    </html>
+  </xsl:template>
+
+  <xsl:template match="meta_file_id">
+    <table>
+      <tr>
+        <td class="shaded">
+          <b><xsl:text>Metadata File ID:</xsl:text></b>
+        </td>
+        <td>
+          <xsl:value-of select="."/>
+        </td>
+      </tr>
+    </table>
+  </xsl:template>
+
+  <xsl:template match="format">
+    <xsl:choose>
+       <xsl:when test="compressed">Compressed - <xsl:value-of select="compressed"/></xsl:when>
+       <xsl:when test="encoded">Encoded - <xsl:value-of select="encoded"/></xsl:when>
+       <xsl:when test="base_file_type/ASCII">ASCII file <xsl:value-of select="record_delimiter"/></xsl:when>
+       <xsl:when test="base_file_type/binary">Binary file</xsl:when>
+     </xsl:choose>
+  </xsl:template>
+
+  <xsl:template match="orientation">
+    <xsl:choose>
+      <xsl:when test="@columnorrow='columnmajor'">File column is major</xsl:when>
+      <xsl:when test="@columnorrow='rowmajor'">File row is major</xsl:when>
+     </xsl:choose>
+  </xsl:template>
+
+  <xsl:template match="case_sensitive">
+    <xsl:choose>
+      <xsl:when test="@yesorno='n'">No case sensitive fields</xsl:when>
+      <xsl:when test="@yesorno='y'">Fields are case sensitive</xsl:when>
+    </xsl:choose>
+  </xsl:template>
+
+  <xsl:template match="datetime">
+    <xsl:value-of select="year"/><xsl:text>/</xsl:text>
+    <xsl:value-of select="month"/><xsl:text>/</xsl:text>
+    <xsl:value-of select="day"/><xsl:text> </xsl:text>
+    <xsl:value-of select="hour"/><xsl:text>:</xsl:text>
+    <xsl:value-of select="minute"/><xsl:text>:</xsl:text>
+    <xsl:value-of select="second"/><xsl:text>:</xsl:text>
+    <xsl:value-of select="second_fraction"/>
+  </xsl:template>
+
+</xsl:stylesheet> 
\ No newline at end of file

Property changes on: xsqltest/eml-file-display.xsl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property
Index: lib/style/eml-file-display.xsl
===================================================================
--- lib/style/eml-file-display.xsl	(nonexistent)
+++ lib/style/eml-file-display.xsl	(revision 57)
@@ -0,0 +1,153 @@
+<?xml version="1.0"?> 
+<!--   
+* eml-file-display.xsl   
+*   
+*      Authors: Matt Jones   
+*    Copyright: 2000 Regents of the University of California and the    
+*               National Center for Ecological Analysis and Synthesis   
+*  For Details: http://www.nceas.ucsb.edu/   
+*      Created: 2000 April 17   
+*    File Info: '$Id$'   
+*   
+* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to   
+* convert an XML file that is valid with respect to the eml-variable.dtd   
+* module of the Ecological Metadata Language (EML) into an HTML format    
+* suitable for rendering with modern web browsers. 
+--> 
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">    
+
+  <xsl:output method="html"/>
+  <xsl:template match="/">
+    <html>       
+      <head> 	
+        <link rel="stylesheet" type="text/css" href="./rowcol.css" />
+      </head>   
+      <body class="emlbody"> 	
+        <center>           
+          <h1>File structure description</h1>           
+          <h3>Ecological Metadata Language</h3>         
+        </center>
+        <xsl:apply-templates select="eml-file/meta_file_id"/>          
+        <h3>Files in the Data Set:</h3>         
+        <table width="100%">         
+          <tr class="rowodd">         
+            <th><xsl:text>File Name</xsl:text></th>         
+            <th><xsl:text>File Size</xsl:text></th>         
+            <th><xsl:text>File Format</xsl:text></th>         
+            <th><xsl:text>Orientation</xsl:text></th>         
+            <th><xsl:text>Header Lines</xsl:text></th>         
+            <th><xsl:text>Case Sensitive</xsl:text></th>         
+            <th><xsl:text>Geographic Coverage</xsl:text></th>         
+            <th><xsl:text>Temporal Coverage</xsl:text></th>         
+            <th><xsl:text>Authentication</xsl:text></th>         
+            <th><xsl:text>Data Problem</xsl:text></th>         
+          </tr>          
+
+          <xsl:for-each select="eml-file/file">           
+          <tr valign="top">             
+            <xsl:attribute name="class">               
+              <xsl:choose>                 
+                <xsl:when test="position() mod 2 = 1">rowwhite</xsl:when>                
+                <xsl:when test="position() mod 2 = 0">rowlight</xsl:when>               
+              </xsl:choose>             
+            </xsl:attribute>            
+            <td><b><xsl:value-of select="file_name"/></b>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:value-of select="file_size/amount"/>
+                <xsl:value-of select="file_size/unit"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:apply-templates select="format"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:apply-templates select="orientation"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:value-of select="header_lines"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><xsl:apply_templates select="case_sensitive"/>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><ul>               
+                <xsl:for-each select="geographic_coverage">
+                <li><xsl:for-each select="paragraph">
+                      <xsl:value-of select="."/><br/>
+                    </xsl:for-each>                     
+                    <xsl:for-each select="coordinates">                        
+                      <xsl:value-of select="lattitude"/>                        
+                      <xsl:value-of select="longitude"/><br/>
+                    </xsl:for-each>                 
+                </li>               
+                </xsl:for-each>               
+                </ul>               
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>           
+            <td><ul>               
+                <xsl:for-each select="temporal_coverage">                 
+                <li><xsl:text>Start Date </xsl:text>
+                    <xsl:apply-templates select="start_date/datetime"/> 
+                    <xsl:text> - Stop Date </xsl:text>
+                    <xsl:apply-templates select="stop_date/datetime"/>
+                </li>
+                </xsl:for-each>
+                </ul>
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+            <td><xsl:for-each select="authentication">
+                <xsl:value-of select="."/><br />
+                </xsl:for-each>
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+            <td><xsl:for-each select="data_problem">
+                  <xsl:for-each select="paragraph"/>
+                    <xsl:value-of select="."/><br/>
+                  </xsl:for-each>
+                </xsl:for-each>
+                <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+          </tr>
+          </xsl:for-each>
+        </table>
+      </body>
+    </html>
+  </xsl:template>
+
+  <xsl:template match="meta_file_id">
+    <table>
+      <tr>
+        <td class="shaded">
+          <b><xsl:text>Metadata File ID:</xsl:text></b>
+        </td>
+        <td>
+          <xsl:value-of select="."/>
+        </td>
+      </tr>
+    </table>
+  </xsl:template>
+
+  <xsl:template match="format">
+    <xsl:choose>
+       <xsl:when test="compressed">Compressed - <xsl:value-of select="compressed"/></xsl:when>
+       <xsl:when test="encoded">Encoded - <xsl:value-of select="encoded"/></xsl:when>
+       <xsl:when test="base_file_type/ASCII">ASCII file <xsl:value-of select="record_delimiter"/></xsl:when>
+       <xsl:when test="base_file_type/binary">Binary file</xsl:when>
+     </xsl:choose>
+  </xsl:template>
+
+  <xsl:template match="orientation">
+    <xsl:choose>
+      <xsl:when test="@columnorrow='columnmajor'">File column is major</xsl:when>
+      <xsl:when test="@columnorrow='rowmajor'">File row is major</xsl:when>
+     </xsl:choose>
+  </xsl:template>
+
+  <xsl:template match="case_sensitive">
+    <xsl:choose>
+      <xsl:when test="@yesorno='n'">No case sensitive fields</xsl:when>
+      <xsl:when test="@yesorno='y'">Fields are case sensitive</xsl:when>
+    </xsl:choose>
+  </xsl:template>
+
+  <xsl:template match="datetime">
+    <xsl:value-of select="year"/><xsl:text>/</xsl:text>
+    <xsl:value-of select="month"/><xsl:text>/</xsl:text>
+    <xsl:value-of select="day"/><xsl:text> </xsl:text>
+    <xsl:value-of select="hour"/><xsl:text>:</xsl:text>
+    <xsl:value-of select="minute"/><xsl:text>:</xsl:text>
+    <xsl:value-of select="second"/><xsl:text>:</xsl:text>
+    <xsl:value-of select="second_fraction"/>
+  </xsl:template>
+
+</xsl:stylesheet> 
\ No newline at end of file

Property changes on: lib/style/eml-file-display.xsl
___________________________________________________________________
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:keywords
## -0,0 +1 ##
+Author Date Id Revision
\ No newline at end of property