Index: xsqltest/eml-file-display.xsl
===================================================================
--- xsqltest/eml-file-display.xsl	(revision 61)
+++ xsqltest/eml-file-display.xsl	(revision 62)
@@ -43,40 +43,40 @@
 
 	<table width="750" border="1" cellspacing="0" cellpadding="1" bgcolor="fffcfc">
           <tr>         
-            <th width="25%" align="left" bgcolor="#ffffcc"><xsl:text>File Name</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:value-of select="file_name"/>         
+            <th width="25%" align="left"><xsl:text>File Name</xsl:text></th>         
+            <td><xsl:value-of select="file_name"/>         
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>File Size</xsl:text></th>         
-            <td bgcolor="#e0ffe0">
+            <th align="left"><xsl:text>File Size</xsl:text></th>         
+            <td>
 		<xsl:value-of select="file_size/amount"/>
                 <xsl:value-of select="file_size/unit"/>
                 <xsl:cdata> </xsl:cdata></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>File Format</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:apply-templates select="format"/>               
+            <th align="left"><xsl:text>File Format</xsl:text></th>         
+            <td><xsl:apply-templates select="format"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Orientation</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:apply-templates select="orientation"/>               
+            <th align="left"><xsl:text>Orientation</xsl:text></th>         
+            <td><xsl:apply-templates select="orientation"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Header Lines</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:value-of select="header_lines"/>               
+            <th align="left"><xsl:text>Header Lines</xsl:text></th>         
+            <td><xsl:value-of select="header_lines"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Case Sensitive</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:apply-templates select="case_sensitive"/>               
+            <th align="left"><xsl:text>Case Sensitive</xsl:text></th>         
+            <td><xsl:apply-templates select="case_sensitive"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Geographic Coverage</xsl:text></th>         
-            <td bgcolor="#e0ffe0">
+            <th align="left"><xsl:text>Geographic Coverage</xsl:text></th>         
+            <td>
 		<xsl:if test="geographic_coverage/paragraph/text() or geographic_coverage/coordinates/lattitude/text() or geographic_coverage/coordinates/longitude/text()"><ul>
                 <xsl:for-each select="geographic_coverage">
                 <li><xsl:for-each select="paragraph">
@@ -92,8 +92,8 @@
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Temporal Coverage</xsl:text></th>         
-            <td bgcolor="#e0ffe0">
+            <th align="left"><xsl:text>Temporal Coverage</xsl:text></th>         
+            <td>
 		<xsl:if test="temporal_coverage/*/*/*/text()"><ul>
                 <xsl:for-each select="temporal_coverage">                 
                 <li><xsl:text>Start Date </xsl:text>
@@ -106,15 +106,15 @@
                 <xsl:text><xsl:value-of select="string('&nbsp;')"/></xsl:text></td>
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Authentication</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:for-each select="authentication">
+            <th align="left"><xsl:text>Authentication</xsl:text></th>         
+            <td><xsl:for-each select="authentication">
                   <xsl:value-of select="."/><br />
                 </xsl:for-each>
                 <xsl:text> </xsl:text></td>
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Data Problem</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:for-each select="data_problem">
+            <th align="left"><xsl:text>Data Problem</xsl:text></th>         
+            <td><xsl:for-each select="data_problem">
                   <xsl:for-each select="paragraph">
                     <xsl:value-of select="."/><br/>
                   </xsl:for-each>
Index: lib/style/eml-file-display.xsl
===================================================================
--- lib/style/eml-file-display.xsl	(revision 61)
+++ lib/style/eml-file-display.xsl	(revision 62)
@@ -43,40 +43,40 @@
 
 	<table width="750" border="1" cellspacing="0" cellpadding="1" bgcolor="fffcfc">
           <tr>         
-            <th width="25%" align="left" bgcolor="#ffffcc"><xsl:text>File Name</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:value-of select="file_name"/>         
+            <th width="25%" align="left"><xsl:text>File Name</xsl:text></th>         
+            <td><xsl:value-of select="file_name"/>         
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>File Size</xsl:text></th>         
-            <td bgcolor="#e0ffe0">
+            <th align="left"><xsl:text>File Size</xsl:text></th>         
+            <td>
 		<xsl:value-of select="file_size/amount"/>
                 <xsl:value-of select="file_size/unit"/>
                 <xsl:cdata> </xsl:cdata></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>File Format</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:apply-templates select="format"/>               
+            <th align="left"><xsl:text>File Format</xsl:text></th>         
+            <td><xsl:apply-templates select="format"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Orientation</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:apply-templates select="orientation"/>               
+            <th align="left"><xsl:text>Orientation</xsl:text></th>         
+            <td><xsl:apply-templates select="orientation"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Header Lines</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:value-of select="header_lines"/>               
+            <th align="left"><xsl:text>Header Lines</xsl:text></th>         
+            <td><xsl:value-of select="header_lines"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Case Sensitive</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:apply-templates select="case_sensitive"/>               
+            <th align="left"><xsl:text>Case Sensitive</xsl:text></th>         
+            <td><xsl:apply-templates select="case_sensitive"/>               
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Geographic Coverage</xsl:text></th>         
-            <td bgcolor="#e0ffe0">
+            <th align="left"><xsl:text>Geographic Coverage</xsl:text></th>         
+            <td>
 		<xsl:if test="geographic_coverage/paragraph/text() or geographic_coverage/coordinates/lattitude/text() or geographic_coverage/coordinates/longitude/text()"><ul>
                 <xsl:for-each select="geographic_coverage">
                 <li><xsl:for-each select="paragraph">
@@ -92,8 +92,8 @@
                 <xsl:text> </xsl:text></td>           
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Temporal Coverage</xsl:text></th>         
-            <td bgcolor="#e0ffe0">
+            <th align="left"><xsl:text>Temporal Coverage</xsl:text></th>         
+            <td>
 		<xsl:if test="temporal_coverage/*/*/*/text()"><ul>
                 <xsl:for-each select="temporal_coverage">                 
                 <li><xsl:text>Start Date </xsl:text>
@@ -106,15 +106,15 @@
                 <xsl:text><xsl:value-of select="string('&nbsp;')"/></xsl:text></td>
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Authentication</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:for-each select="authentication">
+            <th align="left"><xsl:text>Authentication</xsl:text></th>         
+            <td><xsl:for-each select="authentication">
                   <xsl:value-of select="."/><br />
                 </xsl:for-each>
                 <xsl:text> </xsl:text></td>
           </tr>          
           <tr>          
-            <th align="left" bgcolor="#ffffcc"><xsl:text>Data Problem</xsl:text></th>         
-            <td bgcolor="#e0ffe0"><xsl:for-each select="data_problem">
+            <th align="left"><xsl:text>Data Problem</xsl:text></th>         
+            <td><xsl:for-each select="data_problem">
                   <xsl:for-each select="paragraph">
                     <xsl:value-of select="."/><br/>
                   </xsl:for-each>