Index: xsqltest/eml-file-display.xsl
===================================================================
--- xsqltest/eml-file-display.xsl	(revision 62)
+++ xsqltest/eml-file-display.xsl	(revision 63)
@@ -14,9 +14,9 @@
 * module of the Ecological Metadata Language (EML) into an HTML format    
 * suitable for rendering with modern web browsers. 
 --> 
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">    
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">   
 
-  <xsl:output method="html"/>
+  <xsl:output method="html" encoding="iso-8859-1"/>
   <xsl:template match="/">
     <html>       
       <head> 	
@@ -45,7 +45,7 @@
           <tr>         
             <th width="25%" align="left"><xsl:text>File Name</xsl:text></th>         
             <td><xsl:value-of select="file_name"/>         
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>File Size</xsl:text></th>         
@@ -52,27 +52,27 @@
             <td>
 		<xsl:value-of select="file_size/amount"/>
                 <xsl:value-of select="file_size/unit"/>
-                <xsl:cdata> </xsl:cdata></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>File Format</xsl:text></th>         
             <td><xsl:apply-templates select="format"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Orientation</xsl:text></th>         
             <td><xsl:apply-templates select="orientation"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Header Lines</xsl:text></th>         
             <td><xsl:value-of select="header_lines"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Case Sensitive</xsl:text></th>         
             <td><xsl:apply-templates select="case_sensitive"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Geographic Coverage</xsl:text></th>         
@@ -89,7 +89,7 @@
                 </li>               
                 </xsl:for-each>               
                 </ul></xsl:if>
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Temporal Coverage</xsl:text></th>         
@@ -103,14 +103,13 @@
                 </li>
                 </xsl:for-each>
                 </ul></xsl:if>
-                <xsl:text><xsl:value-of select="string('&nbsp;')"/></xsl:text></td>
+                <xsl:text>&nbsp;</xsl:text></td>
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Authentication</xsl:text></th>         
             <td><xsl:for-each select="authentication">
-                  <xsl:value-of select="."/><br />
-                </xsl:for-each>
-                <xsl:text> </xsl:text></td>
+                  <xsl:value-of select="."/><br/>
+                </xsl:for-each></td>
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Data Problem</xsl:text></th>         
@@ -118,8 +117,7 @@
                   <xsl:for-each select="paragraph">
                     <xsl:value-of select="."/><br/>
                   </xsl:for-each>
-                </xsl:for-each>
-                <xsl:text> </xsl:text></td>
+                </xsl:for-each></td>
           </tr>          
 
         </table>
Index: lib/style/eml-file-display.xsl
===================================================================
--- lib/style/eml-file-display.xsl	(revision 62)
+++ lib/style/eml-file-display.xsl	(revision 63)
@@ -14,9 +14,9 @@
 * module of the Ecological Metadata Language (EML) into an HTML format    
 * suitable for rendering with modern web browsers. 
 --> 
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">    
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">   
 
-  <xsl:output method="html"/>
+  <xsl:output method="html" encoding="iso-8859-1"/>
   <xsl:template match="/">
     <html>       
       <head> 	
@@ -45,7 +45,7 @@
           <tr>         
             <th width="25%" align="left"><xsl:text>File Name</xsl:text></th>         
             <td><xsl:value-of select="file_name"/>         
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>File Size</xsl:text></th>         
@@ -52,27 +52,27 @@
             <td>
 		<xsl:value-of select="file_size/amount"/>
                 <xsl:value-of select="file_size/unit"/>
-                <xsl:cdata> </xsl:cdata></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>File Format</xsl:text></th>         
             <td><xsl:apply-templates select="format"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Orientation</xsl:text></th>         
             <td><xsl:apply-templates select="orientation"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Header Lines</xsl:text></th>         
             <td><xsl:value-of select="header_lines"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Case Sensitive</xsl:text></th>         
             <td><xsl:apply-templates select="case_sensitive"/>               
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Geographic Coverage</xsl:text></th>         
@@ -89,7 +89,7 @@
                 </li>               
                 </xsl:for-each>               
                 </ul></xsl:if>
-                <xsl:text> </xsl:text></td>           
+                <xsl:text>&nbsp;</xsl:text></td>           
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Temporal Coverage</xsl:text></th>         
@@ -103,14 +103,13 @@
                 </li>
                 </xsl:for-each>
                 </ul></xsl:if>
-                <xsl:text><xsl:value-of select="string('&nbsp;')"/></xsl:text></td>
+                <xsl:text>&nbsp;</xsl:text></td>
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Authentication</xsl:text></th>         
             <td><xsl:for-each select="authentication">
-                  <xsl:value-of select="."/><br />
-                </xsl:for-each>
-                <xsl:text> </xsl:text></td>
+                  <xsl:value-of select="."/><br/>
+                </xsl:for-each></td>
           </tr>          
           <tr>          
             <th align="left"><xsl:text>Data Problem</xsl:text></th>         
@@ -118,8 +117,7 @@
                   <xsl:for-each select="paragraph">
                     <xsl:value-of select="."/><br/>
                   </xsl:for-each>
-                </xsl:for-each>
-                <xsl:text> </xsl:text></td>
+                </xsl:for-each></td>
           </tr>          
 
         </table>