Index: xsqltest/eml-variable-display.xsl
===================================================================
--- xsqltest/eml-variable-display.xsl	(revision 63)
+++ xsqltest/eml-variable-display.xsl	(revision 64)
@@ -16,15 +16,15 @@
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
-  <xsl:output method="html"/>
+  <xsl:output method="html" encoding="iso-8859-1"/>
 
   <xsl:template match="/">
     <html>
       <head>
-	<link rel="stylesheet" type="text/css" href="./rowcol.css" />
+        <link rel="stylesheet" type="text/css" href="./rowcol.css" />
       </head>
       <body class="emlbody">
-	<center>
+        <center>
           <h1>Attribute structure description</h1>
           <h3>Ecological Metadata Language</h3>
         </center>
@@ -55,13 +55,13 @@
             </xsl:attribute>
 
           <td><b><xsl:value-of select="variable_name"/></b>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="variable_definition"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="unit"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="storage_type"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><ul>
               <xsl:for-each select="code_definition">
                 <li><xsl:value-of select="code"/>
@@ -70,7 +70,7 @@
                 </li>
               </xsl:for-each>
               </ul>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><ul>
               <xsl:for-each select="numeric_range">
                 <li><xsl:value-of select="minimum"/>
@@ -79,15 +79,15 @@
                 </li>
               </xsl:for-each>
               </ul>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:for-each select="missing_value_code">
                 <xsl:value-of select="."/><br />
               </xsl:for-each>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="precision"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:apply-templates select="field_format"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           </tr>
         </xsl:for-each>
         </table>
@@ -135,4 +135,4 @@
     <xsl:text>)</xsl:text>
   </xsl:template>
 
-</xsl:stylesheet>
+</xsl:stylesheet>
\ No newline at end of file
Index: lib/style/eml-variable-display.xsl
===================================================================
--- lib/style/eml-variable-display.xsl	(revision 63)
+++ lib/style/eml-variable-display.xsl	(revision 64)
@@ -16,15 +16,15 @@
 -->
 <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
 
-  <xsl:output method="html"/>
+  <xsl:output method="html" encoding="iso-8859-1"/>
 
   <xsl:template match="/">
     <html>
       <head>
-	<link rel="stylesheet" type="text/css" href="./rowcol.css" />
+        <link rel="stylesheet" type="text/css" href="./rowcol.css" />
       </head>
       <body class="emlbody">
-	<center>
+        <center>
           <h1>Attribute structure description</h1>
           <h3>Ecological Metadata Language</h3>
         </center>
@@ -55,13 +55,13 @@
             </xsl:attribute>
 
           <td><b><xsl:value-of select="variable_name"/></b>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="variable_definition"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="unit"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="storage_type"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><ul>
               <xsl:for-each select="code_definition">
                 <li><xsl:value-of select="code"/>
@@ -70,7 +70,7 @@
                 </li>
               </xsl:for-each>
               </ul>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><ul>
               <xsl:for-each select="numeric_range">
                 <li><xsl:value-of select="minimum"/>
@@ -79,15 +79,15 @@
                 </li>
               </xsl:for-each>
               </ul>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:for-each select="missing_value_code">
                 <xsl:value-of select="."/><br />
               </xsl:for-each>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:value-of select="precision"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           <td><xsl:apply-templates select="field_format"/>
-              <xsl:text><![CDATA[&nbsp;]]></xsl:text></td>
+              <xsl:text>&nbsp;></xsl:text></td>
           </tr>
         </xsl:for-each>
         </table>
@@ -135,4 +135,4 @@
     <xsl:text>)</xsl:text>
   </xsl:template>
 
-</xsl:stylesheet>
+</xsl:stylesheet>
\ No newline at end of file